Subject: bug#24113: 25.1.50; auto-revert-check-vc-info causes delayed screen refreshs

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 03 Sep 2021 11:47:40 +0200

Torsten Bronger <[email-masked]> writes:

> 1. Make your Emacs use the following simple .emacs configuration
>    file:
>
>        (custom-set-variables
>         '(auto-revert-check-vc-info t)
>         '(desktop-save-mode t)
>        )
>
>    Remove your .emacs.desktop for a fresh start.
>
> 2. Make a new directory and create many files in it, e.g. by saying
>
>        mkdir test; cd test; for a in `seq 100`; do touch $a; done
>
> 3. Start Emacs and open all of these files, e.g. by using dired-x
>    and the keybinding "F".  (Obviously, you have to expand your
>    .emacs for this a bit.)  Then, close Emacs let Emacs write your
>    buffer status to the desktop file.
>
> 4. Open Emacs again.  It will start quickly.  Close it.

I had to do a `M-x desktop-read' to get my "emacs -Q" to open the
desktop file, but it did start quickly.

> 5. Say in the directory with the many files:
>
>        git init
>
> 6. Open Emacs again.  It will start very slowly.  Close it.
>
> 7. Open Emacs again.  This time, press any key during start-up.  It
>    will start quickly again.

I didn't see any differences in speed here.  Are there any missing steps
to the recipe?  (I'm testing with "emacs -Q" in Emacs 28 and 27.2).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no